template<typename T>
T rzut(int i, T* y, T t)
{
	const static T g = 9.81; //-> jednostki, m/s^2

	switch (i)
	{
	case 0:
		return y[1];
	case 1:
		return g;
	default:
		throw std::runtime_error("Zy numer rwnania");
	}
}

template<typename T>
T oscylator_harmoniczny(int i, T* y, T t)
{
	const static T k = 1;

	switch (i)
	{
	case 0:
		return y[1];
	case 1:
		return -k*y[0];
	default:
		throw std::runtime_error("Zy numer rwnania");
	}
}

template<typename T>
T oscylatory_sprzezone(int i, T* y, T t)
{
	const static T k = 1;
	const static T l = 1;

	if (i % 2 == 0) return y[i + 1];
	else
	{
		T wynik = 0;
		if (i > 1) wynik += -k*(y[i - 1] - y[i - 3] - l);
		if (i < N - 1) wynik += -k*(y[i - 1] - y[i + 1] + l);
		return wynik;
	}
}
